package com.steering.model.qcm;

/**
 * 数据库表PIPE_CHECKCONSIGN_CHEMDETAIL所对应的实体类（生成工具：代码生成器3.0）
 * @author DESKTOP-6099KAF   date 2016-09-19
 */
@SuppressWarnings("serial")
public class PipeCheckconsignChemdetailEntity implements java.io.Serializable {
    /**
     * 检验编号
     */
    private String checkNo = "";
    /**
     * 试样号
     */
    private String sampleNo = "";
    /**
     * 化学元素代码
     */
    private String chemCode = "";
    /**
     * 化学元素描述
     */
    private String chemName = "";
    /**
     * 化学元素类型(A:单一元素,B:复合元素)
     */
    private String chemType = "";
    /**
     * 是否检验()1:是，0：否)
     */
    private String ischeck = "";
    /**
     * 是否判定()1:是，0：否)
     */
    private String isjudge = "";
    /**
     * 是否报出()1:是，0：否)
     */
    private String isquote = "";
    /**
     * 是否是复合标准项(1:是,0:不是)(标准值通过公式进行计算)
     */
    private String complexType = "";
    /**
     * 复合元素计算公式
     */
    private String chemFormula = "";
    /**
     * 标准范围下限符号
     */
    private String stdminSign = "";
    /**
     * 标准范围下限
     */
    private String stdmin = "";
    /**
     * 标准范围上限符号
     */
    private String stdmaxSign = "";
    /**
     * 标准范围上限
     */
    private String stdmax = "";
    /**
     * 标准目标值
     */
    private String stdtarget = "";
    /**
     * 标准备注
     */
    private String stdmemo = "";
    /**
     * 限制元素代码
     */
    private String eleCode = "";
    /**
     * 限制元素描述
     */
    private String eleName = "";
    /**
     * 限制元素下限符号
     */
    private String eleMinSign = "";
    /**
     * 限制元素下限
     */
    private String eleMin = "";
    /**
     * 限制元素上限符号
     */
    private String eleMaxSign = "";
    /**
     * 限制元素上限
     */
    private String eleMax = "";
    /**
     * 替代元素代码
     */
    private String repCode = "";
    /**
     * 替代元素描述
     */
    private String repName = "";
    /**
     * 替代元素下限符号
     */
    private String repMinSign = "";
    /**
     * 替代元素下限
     */
    private String repMin = "";
    /**
     * 替代元素上限符号
     */
    private String repMaxSign = "";
    /**
     * 替代元素上限
     */
    private String repMax = "";
    /**
     * 替代元素值
     */
    private String repVal = "";
    /**
     * 选择标钢标准号
     */
    private String selectSteelNo = "";
    /**
     * 标钢标准值
     */
    private String stdSteelStdValue = "";
    /**
     * 标钢采集值
     */
    private String stdSteelProcessValue = "";
    /**
     * 标钢修约值
     */
    private String roundValue = "";
    /**
     * 元素采集值
     */
    private String processValue = "";
    /**
     * 元素处理值
     */
    private String auditValue = "";
    /**
     * 元素报出值
     */
    private String quoteValue = "";
    /**
     * 备注
     */
    private String remark = "";
    /**
     * 化验员(录入人)
     */
    private String checkName = "";
    /**
     * 化验时间(录入时间)
     */
    private String checkTime = "";
    /**
     * 化验班次
     */
    private String checkShift = "";
    /**
     * 化验班次
     */
    private String checkClass = "";
    /**
     * 环境温度
     */
    private String checkTemp = "";
    /**
     * 设备编码
     */
    private String deviceNo = "";
    /**
     * 设备名称
     */
    private String deviceName = "";
    /**
     * 审核人
     */
    private String auditName = "";
    /**
     * 审核时间
     */
    private String auditTime = "";
    /**
     * 是否录入 0未录入 1录入
     */
    private String isCj = "";
    private String batchNo = "";
    private String matNo = "";
    private String headMatNo = "";
    private String barCode = "";
	

	/**
     * 检验编号
     * @return value
     */
    public String getCheckNo() {
        return checkNo;
    }

    /**
     * 检验编号
     * @param checkNo value
     */
    public void setCheckNo(String checkNo) {
        this.checkNo = checkNo;
    }

    /**
     * 试样号
     * @return value
     */
    public String getSampleNo() {
        return sampleNo;
    }

    /**
     * 试样号
     * @param sampleNo value
     */
    public void setSampleNo(String sampleNo) {
        this.sampleNo = sampleNo;
    }

    /**
     * 化学元素代码
     * @return value
     */
    public String getChemCode() {
        return chemCode;
    }

    /**
     * 化学元素代码
     * @param chemCode value
     */
    public void setChemCode(String chemCode) {
        this.chemCode = chemCode;
    }

    /**
     * 化学元素描述
     * @return value
     */
    public String getChemName() {
        return chemName;
    }

    /**
     * 化学元素描述
     * @param chemName value
     */
    public void setChemName(String chemName) {
        this.chemName = chemName;
    }

    /**
     * 化学元素类型(A:单一元素,B:复合元素)
     * @return value
     */
    public String getChemType() {
        return chemType;
    }

    /**
     * 化学元素类型(A:单一元素,B:复合元素)
     * @param chemType value
     */
    public void setChemType(String chemType) {
        this.chemType = chemType;
    }

    /**
     * 是否检验()1:是，0：否)
     * @return value
     */
    public String getIscheck() {
        return ischeck;
    }

    /**
     * 是否检验()1:是，0：否)
     * @param ischeck value
     */
    public void setIscheck(String ischeck) {
        this.ischeck = ischeck;
    }

    /**
     * 是否判定()1:是，0：否)
     * @return value
     */
    public String getIsjudge() {
        return isjudge;
    }

    /**
     * 是否判定()1:是，0：否)
     * @param isjudge value
     */
    public void setIsjudge(String isjudge) {
        this.isjudge = isjudge;
    }

    /**
     * 是否报出()1:是，0：否)
     * @return value
     */
    public String getIsquote() {
        return isquote;
    }

    /**
     * 是否报出()1:是，0：否)
     * @param isquote value
     */
    public void setIsquote(String isquote) {
        this.isquote = isquote;
    }

    /**
     * 是否是复合标准项(1:是,0:不是)(标准值通过公式进行计算)
     * @return value
     */
    public String getComplexType() {
        return complexType;
    }

    /**
     * 是否是复合标准项(1:是,0:不是)(标准值通过公式进行计算)
     * @param complexType value
     */
    public void setComplexType(String complexType) {
        this.complexType = complexType;
    }

    /**
     * 复合元素计算公式
     * @return value
     */
    public String getChemFormula() {
        return chemFormula;
    }

    /**
     * 复合元素计算公式
     * @param chemFormula value
     */
    public void setChemFormula(String chemFormula) {
        this.chemFormula = chemFormula;
    }

    /**
     * 标准范围下限符号
     * @return value
     */
    public String getStdminSign() {
        return stdminSign;
    }

    /**
     * 标准范围下限符号
     * @param stdminSign value
     */
    public void setStdminSign(String stdminSign) {
        this.stdminSign = stdminSign;
    }

    /**
     * 标准范围下限
     * @return value
     */
    public String getStdmin() {
        return stdmin;
    }

    /**
     * 标准范围下限
     * @param stdmin value
     */
    public void setStdmin(String stdmin) {
        this.stdmin = stdmin;
    }

    /**
     * 标准范围上限符号
     * @return value
     */
    public String getStdmaxSign() {
        return stdmaxSign;
    }

    /**
     * 标准范围上限符号
     * @param stdmaxSign value
     */
    public void setStdmaxSign(String stdmaxSign) {
        this.stdmaxSign = stdmaxSign;
    }

    /**
     * 标准范围上限
     * @return value
     */
    public String getStdmax() {
        return stdmax;
    }

    /**
     * 标准范围上限
     * @param stdmax value
     */
    public void setStdmax(String stdmax) {
        this.stdmax = stdmax;
    }

    /**
     * 标准目标值
     * @return value
     */
    public String getStdtarget() {
        return stdtarget;
    }

    /**
     * 标准目标值
     * @param stdtarget value
     */
    public void setStdtarget(String stdtarget) {
        this.stdtarget = stdtarget;
    }

    /**
     * 标准备注
     * @return value
     */
    public String getStdmemo() {
        return stdmemo;
    }

    /**
     * 标准备注
     * @param stdmemo value
     */
    public void setStdmemo(String stdmemo) {
        this.stdmemo = stdmemo;
    }

    /**
     * 限制元素代码
     * @return value
     */
    public String getEleCode() {
        return eleCode;
    }

    /**
     * 限制元素代码
     * @param eleCode value
     */
    public void setEleCode(String eleCode) {
        this.eleCode = eleCode;
    }

    /**
     * 限制元素描述
     * @return value
     */
    public String getEleName() {
        return eleName;
    }

    /**
     * 限制元素描述
     * @param eleName value
     */
    public void setEleName(String eleName) {
        this.eleName = eleName;
    }

    /**
     * 限制元素下限符号
     * @return value
     */
    public String getEleMinSign() {
        return eleMinSign;
    }

    /**
     * 限制元素下限符号
     * @param eleMinSign value
     */
    public void setEleMinSign(String eleMinSign) {
        this.eleMinSign = eleMinSign;
    }

    /**
     * 限制元素下限
     * @return value
     */
    public String getEleMin() {
        return eleMin;
    }

    /**
     * 限制元素下限
     * @param eleMin value
     */
    public void setEleMin(String eleMin) {
        this.eleMin = eleMin;
    }

    /**
     * 限制元素上限符号
     * @return value
     */
    public String getEleMaxSign() {
        return eleMaxSign;
    }

    /**
     * 限制元素上限符号
     * @param eleMaxSign value
     */
    public void setEleMaxSign(String eleMaxSign) {
        this.eleMaxSign = eleMaxSign;
    }

    /**
     * 限制元素上限
     * @return value
     */
    public String getEleMax() {
        return eleMax;
    }

    /**
     * 限制元素上限
     * @param eleMax value
     */
    public void setEleMax(String eleMax) {
        this.eleMax = eleMax;
    }

    /**
     * 替代元素代码
     * @return value
     */
    public String getRepCode() {
        return repCode;
    }

    /**
     * 替代元素代码
     * @param repCode value
     */
    public void setRepCode(String repCode) {
        this.repCode = repCode;
    }

    /**
     * 替代元素描述
     * @return value
     */
    public String getRepName() {
        return repName;
    }

    /**
     * 替代元素描述
     * @param repName value
     */
    public void setRepName(String repName) {
        this.repName = repName;
    }

    /**
     * 替代元素下限符号
     * @return value
     */
    public String getRepMinSign() {
        return repMinSign;
    }

    /**
     * 替代元素下限符号
     * @param repMinSign value
     */
    public void setRepMinSign(String repMinSign) {
        this.repMinSign = repMinSign;
    }

    /**
     * 替代元素下限
     * @return value
     */
    public String getRepMin() {
        return repMin;
    }

    /**
     * 替代元素下限
     * @param repMin value
     */
    public void setRepMin(String repMin) {
        this.repMin = repMin;
    }

    /**
     * 替代元素上限符号
     * @return value
     */
    public String getRepMaxSign() {
        return repMaxSign;
    }

    /**
     * 替代元素上限符号
     * @param repMaxSign value
     */
    public void setRepMaxSign(String repMaxSign) {
        this.repMaxSign = repMaxSign;
    }

    /**
     * 替代元素上限
     * @return value
     */
    public String getRepMax() {
        return repMax;
    }

    /**
     * 替代元素上限
     * @param repMax value
     */
    public void setRepMax(String repMax) {
        this.repMax = repMax;
    }

    /**
     * 替代元素值
     * @return value
     */
    public String getRepVal() {
        return repVal;
    }

    /**
     * 替代元素值
     * @param repVal value
     */
    public void setRepVal(String repVal) {
        this.repVal = repVal;
    }

    /**
     * 选择标钢标准号
     * @return value
     */
    public String getSelectSteelNo() {
        return selectSteelNo;
    }

    /**
     * 选择标钢标准号
     * @param selectSteelNo value
     */
    public void setSelectSteelNo(String selectSteelNo) {
        this.selectSteelNo = selectSteelNo;
    }

    /**
     * 标钢标准值
     * @return value
     */
    public String getStdSteelStdValue() {
        return stdSteelStdValue;
    }

    /**
     * 标钢标准值
     * @param stdSteelStdValue value
     */
    public void setStdSteelStdValue(String stdSteelStdValue) {
        this.stdSteelStdValue = stdSteelStdValue;
    }

    /**
     * 标钢采集值
     * @return value
     */
    public String getStdSteelProcessValue() {
        return stdSteelProcessValue;
    }

    /**
     * 标钢采集值
     * @param stdSteelProcessValue value
     */
    public void setStdSteelProcessValue(String stdSteelProcessValue) {
        this.stdSteelProcessValue = stdSteelProcessValue;
    }

    /**
     * 标钢修约值
     * @return value
     */
    public String getRoundValue() {
        return roundValue;
    }

    /**
     * 标钢修约值
     * @param roundValue value
     */
    public void setRoundValue(String roundValue) {
        this.roundValue = roundValue;
    }

    /**
     * 元素采集值
     * @return value
     */
    public String getProcessValue() {
        return processValue;
    }

    /**
     * 元素采集值
     * @param processValue value
     */
    public void setProcessValue(String processValue) {
        this.processValue = processValue;
    }

    /**
     * 元素处理值
     * @return value
     */
    public String getAuditValue() {
        return auditValue;
    }

    /**
     * 元素处理值
     * @param auditValue value
     */
    public void setAuditValue(String auditValue) {
        this.auditValue = auditValue;
    }

    /**
     * 元素报出值
     * @return value
     */
    public String getQuoteValue() {
        return quoteValue;
    }

    /**
     * 元素报出值
     * @param quoteValue value
     */
    public void setQuoteValue(String quoteValue) {
        this.quoteValue = quoteValue;
    }

    /**
     * 备注
     * @return value
     */
    public String getRemark() {
        return remark;
    }

    /**
     * 备注
     * @param remark value
     */
    public void setRemark(String remark) {
        this.remark = remark;
    }

    /**
     * 化验员(录入人)
     * @return value
     */
    public String getCheckName() {
        return checkName;
    }

    /**
     * 化验员(录入人)
     * @param checkName value
     */
    public void setCheckName(String checkName) {
        this.checkName = checkName;
    }

    /**
     * 化验时间(录入时间)
     * @return value
     */
    public String getCheckTime() {
        return checkTime;
    }

    /**
     * 化验时间(录入时间)
     * @param checkTime value
     */
    public void setCheckTime(String checkTime) {
        this.checkTime = checkTime;
    }

    /**
     * 化验班次
     * @return value
     */
    public String getCheckShift() {
        return checkShift;
    }

    /**
     * 化验班次
     * @param checkShift value
     */
    public void setCheckShift(String checkShift) {
        this.checkShift = checkShift;
    }

    /**
     * 化验班次
     * @return value
     */
    public String getCheckClass() {
        return checkClass;
    }

    /**
     * 化验班次
     * @param checkClass value
     */
    public void setCheckClass(String checkClass) {
        this.checkClass = checkClass;
    }

    /**
     * 环境温度
     * @return value
     */
    public String getCheckTemp() {
        return checkTemp;
    }

    /**
     * 环境温度
     * @param checkTemp value
     */
    public void setCheckTemp(String checkTemp) {
        this.checkTemp = checkTemp;
    }

    /**
     * 设备编码
     * @return value
     */
    public String getDeviceNo() {
        return deviceNo;
    }

    /**
     * 设备编码
     * @param deviceNo value
     */
    public void setDeviceNo(String deviceNo) {
        this.deviceNo = deviceNo;
    }

    /**
     * 设备名称
     * @return value
     */
    public String getDeviceName() {
        return deviceName;
    }

    /**
     * 设备名称
     * @param deviceName value
     */
    public void setDeviceName(String deviceName) {
        this.deviceName = deviceName;
    }

    /**
     * 审核人
     * @return value
     */
    public String getAuditName() {
        return auditName;
    }

    /**
     * 审核人
     * @param auditName value
     */
    public void setAuditName(String auditName) {
        this.auditName = auditName;
    }

    /**
     * 审核时间
     * @return value
     */
    public String getAuditTime() {
        return auditTime;
    }

    /**
     * 审核时间
     * @param auditTime value
     */
    public void setAuditTime(String auditTime) {
        this.auditTime = auditTime;
    }

    /**
     * 是否录入 0未录入 1录入
     * @return value
     */
    public String getIsCj() {
        return isCj;
    }

    /**
     * 是否录入 0未录入 1录入
     * @param isCj value
     */
    public void setIsCj(String isCj) {
        this.isCj = isCj;
    }
    
    public String getBatchNo() {
		return batchNo;
	}

	public void setBatchNo(String batchNo) {
		this.batchNo = batchNo;
	}
	
	public String getMatNo() {
		return matNo;
	}

	public void setMatNo(String matNo) {
		this.matNo = matNo;
	}

	public String getHeadMatNo() {
		return headMatNo;
	}

	public void setHeadMatNo(String headMatNo) {
		this.headMatNo = headMatNo;
	}

	public String getBarCode() {
		return barCode;
	}

	public void setBarCode(String barCode) {
		this.barCode = barCode;
	}
}
